Skip to main content
POST
/
v1
/
baas
/
entities
/
{entity_id}
/
onboardings
{
  "account_id": "550e8400-e29b-41d4-a716-446655440000",
  "yuno_connection_id": "conn_880e8400-e29b-41d4-a716-446655440000",
  "onboarding_type": "ONE_STEP",
  "compliance_declaration": {
    "terms_of_service": {
      "accepted": true,
      "version": "2.1",
      "accepted_at": "2026-02-01T10:00:00Z",
      "accepted_ip": "203.0.113.42"
    },
    "privacy_policy": {
      "accepted": true,
      "version": "1.5",
      "accepted_at": "2026-02-01T10:00:00Z",
      "accepted_ip": "203.0.113.42"
    }
  }
}
{
  "id": "onb_990e8400-e29b-41d4-a716-446655440000",
  "entity_id": "ent_660e8400-e29b-41d4-a716-446655440000",
  "yuno_account_id": "550e8400-e29b-41d4-a716-446655440000",
  "provider": {
    "entity_id": "col_entity_onboarded_123",
    "status": "verification_pending"
  },
  "onboarding_type": "ONE_STEP",
  "status": "PENDING",
  "requirements": [],
  "created_at": "2026-02-01T10:00:00Z",
  "updated_at": "2026-02-01T10:00:00Z",
  "expires_at": "2026-02-08T10:00:00Z"
}

Path parameters

entity_id
string
required
The id obtained from the Create Entity endpoint.

Headers

x-idempotency-key
string
required
Unique UUID to ensure the request is processed only once.

Body

account_id
string
required
Merchant’s Yuno account ID (UUID, 36 characters).
yuno_connection_id
string
required
Pre-configured BaaS provider connection ID from your Yuno dashboard.
onboarding_type
string
required
ONE_STEP or PREVIOUSLY_ONBOARDED.
compliance_declaration
object
Required for ONE_STEP onboarding type.
risk_assessment
object
Optional risk assessment data.

Response

id
string
Onboarding identifier.
entity_id
string
Associated entity identifier.
yuno_account_id
string
Merchant’s Yuno account.
provider
object
Provider-specific details including entity_id and status.
onboarding_type
string
ONE_STEP or PREVIOUSLY_ONBOARDED.
status
string
Current onboarding status. See BaaS Overview for all values.
requirements
array
Any additional requirements from the provider.
created_at
string
ISO 8601 timestamp.
updated_at
string
ISO 8601 timestamp.
expires_at
string
ISO 8601 timestamp for onboarding expiration.
{
  "account_id": "550e8400-e29b-41d4-a716-446655440000",
  "yuno_connection_id": "conn_880e8400-e29b-41d4-a716-446655440000",
  "onboarding_type": "ONE_STEP",
  "compliance_declaration": {
    "terms_of_service": {
      "accepted": true,
      "version": "2.1",
      "accepted_at": "2026-02-01T10:00:00Z",
      "accepted_ip": "203.0.113.42"
    },
    "privacy_policy": {
      "accepted": true,
      "version": "1.5",
      "accepted_at": "2026-02-01T10:00:00Z",
      "accepted_ip": "203.0.113.42"
    }
  }
}
{
  "id": "onb_990e8400-e29b-41d4-a716-446655440000",
  "entity_id": "ent_660e8400-e29b-41d4-a716-446655440000",
  "yuno_account_id": "550e8400-e29b-41d4-a716-446655440000",
  "provider": {
    "entity_id": "col_entity_onboarded_123",
    "status": "verification_pending"
  },
  "onboarding_type": "ONE_STEP",
  "status": "PENDING",
  "requirements": [],
  "created_at": "2026-02-01T10:00:00Z",
  "updated_at": "2026-02-01T10:00:00Z",
  "expires_at": "2026-02-08T10:00:00Z"
}